## pyqso 0.2

=== Makefile ===
#!/bin/sh

#    Copyright (C) 2013 Christian T. Jacobs.

#    This file is part of PyQSO.

#    PyQSO is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    PyQSO is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with PyQSO.  If not, see <http://www.gnu.org/licenses/>.

.PHONY: input clean install docs unittest

input: 	clean install docs

install:
	@echo "*** Installing PyQSO"
	python setup.py install

docs:
	@echo "*** Building the documentation"
	cd docs; make html; cd ..

unittest:
	@echo "*** Running the unit tests"
	python -m unittest discover --start-directory=pyqso --pattern=*.py --verbose

clean:
	@echo "*** Cleaning docs directory"
	cd docs; make clean; cd ..
	@echo "*** Cleaning pyqso directory"
	rm -f ADIF.test_*.adi; cd pyqso; rm -f *.pyc ADIF.test_*.adi; cd ..
	@echo "*** Removing build directory"
	rm -rf build

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean aptdoc html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

apidoc:
	sphinx-apidoc ../pyqso -o source/ -f -T

html: apidoc
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyQSO.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyQSO.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyQSO"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyQSO"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyqso (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #777385)

 -- Iain R. Learmonth <irl@fsfe.org>  Wed, 01 Apr 2015 13:51:32 +0100

=== debian/control ===
Source: pyqso
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@fsfe.org>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/pyqso.git
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/pyqso.git
Homepage: http://christianjacobs.uk/pyqso

Package: pyqso
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-libhamlib2,
         gir1.2-gtk-3.0,
         python-gi-cairo,
         python-mpltoolkits.basemap,
         python-numpy,
         python-matplotlib,
         libjs-jquery,
         libjs-underscore
Description: logging tool for amateur radio operators
 PyQSO is a logging tool for amateur radio operators. It provides a simple
 graphical interface through which users can manage information about the
 contacts/QSOs they make with other operators on the air. All information is
 stored in a light-weight SQL database. Other key features include:
 .
  * Customisable interface (e.g. only show callsign and frequency information).
  * Import and export logs in ADIF format.
  * Perform callsign lookups and auto-fill data fields using the qrz.com
    database.
  * Sort the logs by individual fields.
  * Print a hard-copy of logs, or print to PDF.
  * Connect to Telnet-based DX clusters.
  * Progress tracker for the DXCC award.
  * Grey line plotter.
  * Filter out QSOs based on the callsign field (e.g. only display contacts
    with callsigns beginning with “M6”).
  * Remove duplicate QSOs.
  * Basic support for the Hamlib library.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pyqso

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/source/ build/html  # HTML generator
	rm -rf build/html/.doctrees
	rm build/html/_static/jquery.js # Remove JQuery, this is linked in d/*.links
	rm build/html/_static/underscore.js # Remove underscore, this is linked in d/*.links
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	mkdir debian/pyqso/usr/share
	mv debian/pyqso/usr/icons debian/pyqso/usr/share

## pyqso 0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-#    Copyright (C) 2013 Christian T. Jacobs.
+#    Copyright (C) 2013-2016 Christian T. Jacobs.
 
 #    This file is part of PyQSO.
 
@@ -17,21 +17,21 @@
 #    You should have received a copy of the GNU General Public License
 #    along with PyQSO.  If not, see <http://www.gnu.org/licenses/>.
 
-.PHONY: input clean install docs unittest
+.PHONY: input clean install docs test
 
 input: 	clean install docs
 
 install:
 	@echo "*** Installing PyQSO"
-	python setup.py install
+	python3 setup.py install
 
 docs:
 	@echo "*** Building the documentation"
 	cd docs; make html; cd ..
 
-unittest:
+test:
 	@echo "*** Running the unit tests"
-	python -m unittest discover --start-directory=pyqso --pattern=*.py --verbose
+	python3 -m unittest discover --start-directory=pyqso --pattern=*.py --verbose
 
 clean:
 	@echo "*** Cleaning docs directory"

=== debian/changelog ===
pyqso (0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with Python3 (Closes: #835489).
  * Change packages in dependencies to rerefence Python3 packages.
  * Move python(3)-libhamlib2 to Recomends, as the Python3 version of package
    is not yet available in Debian.
  * Bump standards version to 3.9.8 (No changes needed).

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Thu, 08 Sep 2016 01:00:46 +0300

pyqso (0.3-1) unstable; urgency=medium

  * Imported Upstream version 0.3.
  * De-fuzzed debian/patches/fix_icon_path.patch.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 08 Jul 2016 02:55:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all,
+               python3-all,
                python-setuptools,
                python-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/pyqso.git
 Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/pyqso.git
 Homepage: http://christianjacobs.uk/pyqso
@@ -16,15 +16,15 @@
 Package: pyqso
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-libhamlib2,
+         ${python3:Depends},
          gir1.2-gtk-3.0,
-         python-gi-cairo,
-         python-mpltoolkits.basemap,
-         python-numpy,
-         python-matplotlib,
+         python3-gi-cairo,
+         python3-mpltoolkits.basemap,
+         python3-numpy,
+         python3-matplotlib,
          libjs-jquery,
          libjs-underscore
+Recommends: python3-libhamlib2,
 Description: logging tool for amateur radio operators
  PyQSO is a logging tool for amateur radio operators. It provides a simple
  graphical interface through which users can manage information about the

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export PYBUILD_NAME=pyqso
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/source/ build/html  # HTML generator

## pyqso 1.0.0

=== debian/changelog ===
pyqso (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Acknowledges and includes changes from NMU (0.3-1.1)
  * debian/control:
   - Updated my email address, no change of maintainer
   - Fix dependency for setuptools to use Python 3 package
   - Added ${sphinxdoc:Depends} for the binary pyqso package
   - Updated Vcs-* fields to use secure URLs
  * debian/rules:
   - Switch to using dh-sphinxdoc for cleaning up the Sphinx documentation
   - Switch to using dh-install for installation of icon file
  * debian/patches:
   - Removed fix_icon_path.patch, no longer required

 -- Iain R. Learmonth <irl@debian.org>  Sun, 06 Aug 2017 18:03:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: pyqso
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@fsfe.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: hamradio
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all,
-               python-setuptools,
+               python3-setuptools,
                python-sphinx
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/pyqso.git
-Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/pyqso.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/pyqso.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/pyqso.git
 Homepage: http://christianjacobs.uk/pyqso
 
 Package: pyqso
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         ${sphinxdoc:Depends},
          gir1.2-gtk-3.0,
          python3-gi-cairo,
          python3-mpltoolkits.basemap,
@@ -24,7 +25,7 @@
          python3-matplotlib,
          libjs-jquery,
          libjs-underscore
-Recommends: python3-libhamlib2,
+Recommends: python3-libhamlib2
 Description: logging tool for amateur radio operators
  PyQSO is a logging tool for amateur radio operators. It provides a simple
  graphical interface through which users can manage information about the

=== debian/watch ===
version=3

https://github.com/ctjacobs/pyqso/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## pyqso 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-#    Copyright (C) 2013-2016 Christian T. Jacobs.
+#    Copyright (C) 2013-2017 Christian Thomas Jacobs.
 
 #    This file is part of PyQSO.
 
@@ -23,7 +23,7 @@
 
 install:
 	@echo "*** Installing PyQSO"
-	python3 setup.py install
+	pip3 install .
 
 docs:
 	@echo "*** Building the documentation"
@@ -31,12 +31,12 @@
 
 test:
 	@echo "*** Running the unit tests"
-	python3 -m unittest discover --start-directory=pyqso --pattern=*.py --verbose
+	python3 -m unittest discover --start-directory=tests --pattern=*.py --verbose
 
 clean:
 	@echo "*** Cleaning docs directory"
 	cd docs; make clean; cd ..
 	@echo "*** Cleaning pyqso directory"
-	rm -f ADIF.test_*.adi; cd pyqso; rm -f *.pyc ADIF.test_*.adi; cd ..
+	rm -f ADIF.test_*.adi Cabrillo.test_*.log Printer.test_*.pdf Logbook.test_*.db; cd pyqso; rm -f *.pyc ADIF.test_*.adi Cabrillo.test_*.log; cd ..
 	@echo "*** Removing build directory"
 	rm -rf build

=== requirements.txt ===
numpy
matplotlib>=1.3.0
cairocffi
cartopy>=0.16.0
sphinx
geocoder

=== docs/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
-.PHONY: help clean aptdoc html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean apidoc html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"

=== debian/changelog ===
pyqso (1.1.0-11) unstable; urgency=medium

  * Use python3-pkg-resources for runtime dependency (Closes: #1116440)
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Mon, 29 Sep 2025 10:21:18 -0700

pyqso (1.1.0-10) unstable; urgency=medium

  * Team upload.
  * Fix missing depends on python3-setuptools.
  * Fix wrong call params on NavigationToolbar().
    (Closes: #1109825)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Fri, 25 Jul 2025 11:30:21 +0200

pyqso (1.1.0-9) unstable; urgency=medium

  [ Enrico Rossi ]
  * Fix missing dependency on python3 telnetlib. (Closes: #1109511)

 -- Christoph Berg <myon@debian.org>  Sat, 19 Jul 2025 14:10:57 +0200

pyqso (1.1.0-8) unstable; urgency=medium

  * Import patches from the fork on https://github.com/tomswartz07/pyqso.
    (Closes: #1092471)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Tue, 04 Feb 2025 22:06:13 +0100

pyqso (1.1.0-7) unstable; urgency=medium

  * Add patch to address FTBFS with newer Sphinx (Closes: #1090120)

 -- tony mancill <tmancill@debian.org>  Sun, 22 Dec 2024 21:27:31 -0800

pyqso (1.1.0-6) unstable; urgency=medium

  * Add B-D on python3-zombie-telnetlib for Python 3.13 (Closes: #1084565)
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Fri, 29 Nov 2024 10:39:25 -0800

pyqso (1.1.0-5) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 17:56:39 +0100

pyqso (1.1.0-4) unstable; urgency=medium

  [ Daniele Forsi ]
  * Use secure URI in Source field.
  * Remove unneeded print with Python 2 syntax. (Closes: #997760)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.0, no changes needed.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 10:44:02 +0100

pyqso (1.1.0-3) unstable; urgency=medium

  * Add debian/gitlab-ci.yml.
  * Recommend python3-hamlib instead of -libhamlib2.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Jan 2021 18:02:52 +0100

pyqso (1.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Remove executable bit from desktop files.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ tony mancill ]
  * Update to debhelper compat level 13
  * Remove unused dependency on python3-mpltoolkits.basemap
    (Closes: #972474)
  * Update Uploaders field (Closes: #970367)
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 20 Oct 2020 21:22:55 -0700

pyqso (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump S-V and update Vcs fields.
  * Upgrade Build-Dependency to python3-sphinx.
  * Recommend python3-cartopy and python3-scipy for the world map view.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Dec 2018 12:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: pyqso
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>,
+           tony mancill <tmancill@debian.org>
 Section: hamradio
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python-sphinx
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/pyqso.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/pyqso.git
-Homepage: http://christianjacobs.uk/pyqso
+               python3-sphinx,
+               python3-zombie-telnetlib
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pyqso
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pyqso.git
+Homepage: https://christianjacobs.uk/pyqso
+Rules-Requires-Root: no
 
 Package: pyqso
 Architecture: all
@@ -20,12 +23,15 @@
          ${sphinxdoc:Depends},
          gir1.2-gtk-3.0,
          python3-gi-cairo,
-         python3-mpltoolkits.basemap,
+         python3-matplotlib,
          python3-numpy,
-         python3-matplotlib,
+         python3-pkg-resources,
+         python3-zombie-telnetlib,
          libjs-jquery,
          libjs-underscore
-Recommends: python3-libhamlib2
+Recommends: python3-cartopy,
+            python3-hamlib,
+            python3-scipy,
 Description: logging tool for amateur radio operators
  PyQSO is a logging tool for amateur radio operators. It provides a simple
  graphical interface through which users can manage information about the

=== debian/watch ===
version=4

https://github.com/ctjacobs/pyqso/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
